Create Applicant Event: Yardi REST
Betahttps://api.propexo.com/v1/events/applicants/yardi_rest/| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportYardiGuest |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"
The name or type of event
Show 20 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisitThe date when the event will occur
The name of the leasing agent associated with the event
Notes associated with the event
Possible values: <= 256 characters
The rent amount in cents for the event. Required for LeaseSign event
Possible values: >= 0
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"
The name or type of event
Show 20 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisitThe date when the event will occur
The name of the leasing agent associated with the event
Notes associated with the event
Possible values: <= 256 characters
The rent amount in cents for the event. Required for LeaseSign event
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/applicants/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"applicant_id": "string",
"event_name": "CallToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z",
"agent_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"unit_id": "string",
"event_name": "CallToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z",
"agent_name": "string",
"notes": "string",
"rent_amount_in_cents": 0
}
}